Returns an array of all the names of the properties

- « SolrObject::__destruct

- SolrObject::offsetExists »

- PHP Manual
- SolrObject
- Returns an array of all the names of the properties

# SolrObject::getPropertyNames

(PECL solr >= 0.9.2)

SolrObject::getPropertyNames — Returns an array of all the names of the properties

### Description

public SolrObject::getPropertyNames(): array

Returns an array of all the names of the properties

### Parameters

This function has no parameters.

### Return Values

Returns an array.